<?php
require("lib/config.php");
require_once 'vendor/eway/eway-rapid-php/include_eway.php';
// =============== Get customer user api ===================================
$data  = $_REQUEST;
$sql = "SELECT * FROM `booking` where id = '".$_REQUEST['bid']."'";
$result = $conn->query($sql);
if ($result->num_rows > 0) 
{
	while($row_details = $result->fetch_assoc()) 
	{
		$booking_detail[] = $row_details;
	}
	$sql = "SELECT * FROM `customers` where email = '".$booking_detail[0]["email"]."'";
	$result = $conn->query($sql);
	if ($result->num_rows > 0) 
	{
		while($row_detail = $result->fetch_assoc()) 
		{
			$booking_details[] = $row_detail;
		}
		
	}
	
	
	$Res["data"] = $booking_detail;
	$Res["user-data"] = $booking_details;
	$Res["message"] = "Booking successfully cancelled"; 
	$Res["status"] = "OK"; 
	
	$name= $Res["data"][0]["spatula_id"];
$url = "https://api.fleeteng.com.au/v2/graph/role/jobs/$name?access_token=9olkJkrIcttN8Zlh1lgAch70KFC_nJiIpUiCeaBMswbs";


    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL,$url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$result = curl_exec($ch);
    
    curl_close($ch);
    
$name = $booking_details[0]['name'];
$date = $booking_detail[0]['booking_date'];
$time = $booking_detail[0]['booking_time'];
$type = $booking_detail[0]['type'];
$id = $booking_detail[0]['spatula_id'];
$reference = $booking_detail[0]['reference'];

if($Res["data"][0]["status"] == ""){
$status = "cancelled";


$slackmessage = "$name for $date $time has cancelled - no charge";

} else {
$status = "cancelled";
$nameencode = urlencode($name);

$slackmessage = "$name for $date $bookingtime has cancelled - <https://bookings.perthdesignateddrivers.com.au/payment?ref=$reference&amount=15.00&type=FA | Charge Cancellation Fee>";
}
	
	$result = mysqli_query($conn, "UPDATE booking SET status='".$status."' WHERE id='".$_REQUEST['bid']."'");
	
			//send slack message
	
			$curlObj = curl_init();
			curl_setopt($curlObj, CURLOPT_URL, 'https://hooks.slack.com/services/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');
			curl_setopt($curlObj, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curlObj, CURLOPT_SSL_VERIFYPEER, 0);
			curl_setopt($curlObj, CURLOPT_HEADER, 0);
			curl_setopt($curlObj, CURLOPT_HTTPHEADER, array('Content-type:application/json'));
			curl_setopt($curlObj, CURLOPT_POST, 1);
			curl_setopt($curlObj, CURLOPT_POSTFIELDS, '{"text": "'.$slackmessage.'"}');
		
			$response = curl_exec($curlObj);
		
			curl_close($curlObj);
			
			//delete  job
	
			$url = "https://bookings.perthdesignateddrivers.com.au/cancelJob.php?ref=$reference&type=$type";
    			$curlObj = curl_init();

			curl_setopt($curlObj, CURLOPT_URL, $url);
			curl_setopt($curlObj, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curlObj, CURLOPT_SSL_VERIFYPEER, 0);
			curl_setopt($curlObj, CURLOPT_HEADER, 0);
			curl_setopt($curlObj, CURLOPT_HTTPHEADER, array('Content-type:application/json'));

			$response = curl_exec($curlObj);

			curl_close($curlObj);
	

//echo "<pre>";
//print_r($Res);
//echo "</pre>";
 $message = '<div style ="width:725; margin:0 auto;"><p>Hi,</p>
				<p>Hi,
				Please cancel My booking ,Please check the detail below:</p>
				<p>Booking was '.$status.'</p>
				<p style = "font-weight:bold;";>Details:</p>
				<table width="400" style="border:none;">
					<tr>
						<td>Booking Id</td>
						<td>'.$Res["data"][0]["id"].'</td>
					</tr>
					<tr>
						<td>Name</td>
						<td>'.$Res["user-data"][0]["name"].'</td>
					</tr>
					<tr>
						<td>Mobile</td>
						<td>'.$Res["user-data"][0]["mobile"].'</td>
					</tr>
					<tr>
						<td>email Id</td>
						<td>'.$Res["data"][0]["email"].'</td>
					</tr>
					<tr>
						<td>Booking Date</td>
						<td>'.$Res["data"][0]["booking_date"].'</td>
					</tr>
					<tr>
						<td>Booking Time</td>
						<td>'.$Res["data"][0]["booking_time"].'</td>
					</tr>
					<tr>
						<td>Booking Time</td>
						<td>'.$Res["data"][0]["booking_time"].'</td>
					</tr>
					<tr>
						<td>Pickup address</td>
						<td>'.$Res["data"][0]["pickup_addr"].'</td>
					</tr>
					<tr>
						<td>Drop Address</td>
						<td>'.$Res["data"][0]["pickoff_addr"].'</td>
					</tr>
					<tr>
						<td>Spatula ID</td>
						<td>'.$Res["data"][0]["spatula_id"].'</td>
					</tr>
				</table>
				</div>';
				$to = "booking@perthdesignateddrivers.com.au" ;
				//$to = "chandan10n@gmail.com" ;
				$from = $Res["data"][0]["email"];
				$title = "Cancel Booking";
				$headers = "MIME-Version: 1.0 \r\n";
				$headers .= "From: $from \n";
				$headers .= "MIME-Version: 1.0\r\n";
				$headers .= "Content-type: text/html;charset=ISO-8859-1 \r\n";
				$headers .= "X-Priority: 3\r\n";
				$headers .= "X-Mailer: smail-PHP " . phpversion() . "\r\n";
				
				mail($to, $title, $message, $headers);
				
   echo json_encode(new ArrayObject($Res));

}
else
{
	$Res["message"] = "no such result present in booking"; 
	$Res["status"] = "ok";
	echo json_encode(new ArrayObject($Res)); 
}


				
					 
				
